#!/bin/sh

. /usr/local/bin/sig_catcher

usage() {
	echo "Usage:  sp switch-update <0=mb, 1=ioxm>"
	exit 1
}


if [ $# -lt 1 ]; then
	usage
fi

target=$1

if [ $target != 0 ] && [ $target != 1 ]; then 
	usage
fi

if [ -f /var/run/Carnegie ]; then
	if [ "$target" == "0" ]; then
		echo "Programming Controller Switch EEPROM"
		/usr/local/bin/update_mp_contents.sh $target
	fi
	if [ "$target" == "1" ]; then
		IOXM_PRSNT=`cat /var/run/partner`
		if [ "$IOXM_PRSNT" == "IOXM" ]; then
			echo "Programming IOXM Switch EEPROM"
			/usr/local/bin/update_mp_contents.sh $target
		else
			echo "IOXM is not present"
		fi
	fi
	# update cached value of switch versions
	/usr/local/bin/switch_config_version.sh 0 -f > /var/run/switch_version_controller
	/usr/local/bin/switch_config_version.sh 1 -f > /var/run/switch_version_ioxm
fi

if [ -f /var/run/Absolut ]; then
	if [ "$target" == "0" ]; then
		echo "Programming Controller Switch EEPROM"
		/usr/local/bin/switcheprm  "program_wr"
	fi
	if [ "$target" == "1" ]; then
		IOXM_PRSNT=`cat /var/run/partner`
		if [ "$IOXM_PRSNT" == "IOXM" ]; then
			echo "Programming IOXM Switch EEPROM"
			/usr/local/bin/switchioxm "program_wr"
		else
			echo "IOXM is not present"
		fi
	fi
	
	# update cached value of switch versions
	/usr/local/bin/switch_config_version.sh 0 -f > /var/run/switch_version_controller
	/usr/local/bin/switch_config_version.sh 1 -f > /var/run/switch_version_ioxm
fi


